using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;

[CustomEditor(typeof(HoppingBattle3DScene))]
public class HoppingBattle3DSceneInspector : Battle3DSceneInspector
{
    public override void OnInspectorGUI()
    {
        HoppingBattle3DScene _this = target as HoppingBattle3DScene;

        if (_this)
        {
            _this.sceneType = (HoppingSceneType)EditorGUILayout.EnumPopup("场景类型", _this.sceneType);
            _this.NumberMax = EditorGUILayout.IntField("最大数量", _this.NumberMax);    
        }
        
        base.OnInspectorGUI();
    }
}
